#include <stdlib.mqh>   



//+------ CHANGE HERE LINE PARAMETERS --------------------+

color  Linetrend_Color           = Green;
int    Linetrend_Width           = 3;           // From 1 (thin) to 5 (thick)
int    Linetrend_Style           = STYLE_SOLID;
int    Linetrend_length          = 9000;        // Length of resistance line. 
bool   Linetrend_Ray             = true;       // If "false" resistance line will be drawn as a "segment". If "true", as a "Ray".

//+-----------------------------SCRIPT CODE--------------------------+
int start()
  { 
   double      price = WindowPriceOnDropped();
   datetime    time = WindowTimeOnDropped();
   int         TimeNow = TimeCurrent();
   int         timeframe = Period();
   double      factor;
   string      Description=("GB RH "+TimeToString(time,TIME_DATE)+" - "+price+" - "); 
   
if(IsConnected()) {TimeNow = TimeCurrent();} else {TimeNow = time;}

   switch(timeframe)
      {
      case 1      : factor = 0.2;   break;
      case 5      : factor = 1;     break;
      case 15     : factor = 3;     break;
      case 30     : factor = 6;     break;
      case 60     : factor = 12;    break;
      case 240    : factor = 48;    break;
      case 1440   : factor = 288;   break;
      case 10080  : factor = 2016;  break;
      case 43200  : factor = 8640;  break;
      }
   
   int length = factor * Linetrend_length;
   

         ObjectCreate("GB RH" +" "+ TimeNow +" "+ price,OBJ_TREND,0,time,price,time+length,price);        
         ObjectSet("GB RH" +" "+ TimeNow +" "+ price,OBJPROP_COLOR,Linetrend_Color);
         ObjectSet("GB RH" +" "+ TimeNow +" "+ price,OBJPROP_WIDTH,Linetrend_Width); 
         ObjectSet("GB RH" +" "+ TimeNow +" "+ price,OBJPROP_STYLE,Linetrend_Style);                 
         ObjectSet("GB RH" +" "+ TimeNow +" "+ price,OBJPROP_SELECTED,true);
         ObjectSet("GB RH" +" "+ TimeNow +" "+ price,OBJPROP_BACK,true);
         ObjectSet("GB RH" +" "+ TimeNow +" "+ price,OBJPROP_RAY_RIGHT,Linetrend_Ray);
         ObjectSetText("GB RH" +" "+ TimeNow +" "+ price,Description,0,NULL,clrNONE);
         
   return(0);
  }
//+------------------------------------------------------------------+